unit Childwin;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, SysUtils,

     // TMDISaveIt units
     CustSaveIt, AlmostSave, MDISaveIt;

type
  TMDIChild = class(TForm)
    MDIChildSaveIt1: TMDIChildSaveIt;
    Memo1: TMemo;
    procedure Memo1Change(Sender: TObject);
    procedure MDIChildSaveIt1DataCheck(Sender: TObject;
      var Has_Data: Boolean);
    procedure MDIChildSaveIt1DataLoad(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure MDIChildSaveIt1DataSave(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure MDIChildSaveIt1Created(Sender: TObject);
    procedure MDIChildSaveIt1FileLoaded(Sender: TObject);
    procedure MDIChildSaveIt1FileSaved(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TMDIChild.Memo1Change(Sender: TObject);
begin
  // Important!
  MDIChildSaveIt1.Modified; // Let MDISaveIt know that the data has changed
                            // and thus needs to be saved.
end;

procedure TMDIChild.MDIChildSaveIt1DataCheck(Sender: TObject;
  var Has_Data: Boolean);
begin
  Has_Data := Length(Trim(Memo1.Text)) > 0;
end;

procedure TMDIChild.MDIChildSaveIt1DataLoad(Sender: TObject;
  FileName: String; var Success: Boolean);
begin
  // Load Data
  Memo1.Lines.LoadFromFile(FileName);

{ Example: How to display a dialog (or anything else requiring user input)
           within this Event. It is necessary to do it this way because
           user-input is this event is disabled for the entire application.
  -----------------------------------------------------------------------

  with MDIChildSaveIt1.MDISaveIt do
  try
    EnableApp;
    ShowMessage('This is my dialog.');
  finally
    DisableApp; // Important, don't forget!
  end;
}

end;

procedure TMDIChild.MDIChildSaveIt1DataSave(Sender: TObject;
  FileName: String; var Success: Boolean);
begin
  // Save Data
  Memo1.Lines.SaveToFile(FileName);

{ Example: How to display a dialog (or anything else requiring user input)
           within this Event. It is necessary to do it this way because
           user-input is this event is disabled for the entire application.
  -----------------------------------------------------------------------

  with MDIChildSaveIt1.MDISaveIt do
  try
    EnableApp;
    ShowMessage('This is my dialog.');
  finally
    DisableApp; // Important, don't forget!
  end;
}
end;

procedure TMDIChild.MDIChildSaveIt1Created(Sender: TObject);
begin
{ Example: How to display a dialog (or anything else requiring user input)
           within this Event. It is necessary to do it this way because
           user-input is this event is disabled for the entire application.
  -----------------------------------------------------------------------

  with MDIChildSaveIt1.MDISaveIt do
  try
    EnableApp;
    ShowMessage('This is my dialog.');
  finally
    DisableApp; // Important, don't forget!
  end;
}

end;

procedure TMDIChild.MDIChildSaveIt1FileLoaded(Sender: TObject);
begin
{------------------------------------------------------------------------------}
{ How to implement a MRU (Most Recently Used) File List.                       }
{------------------------------------------------------------------------------}
{ 1. First download a good MRU File List component. Brad Stower's free         }
{    TMRUFileList Component is highly recommended. Get it at:                  }
{    http://www.pobox.com/~bstowers/delphi/                                    }
{                                                                              }
{ 2. In that component's events somewhere put code that calls                  }
{    TMDISaveIt.LoadFromFile to load a file when the user chooses it from      }
{    an MRU List.                                                              }
{                                                                              }
{ 3. Put a Call the MRU Component's method that will add the item to the list. }
{    The name of the file to add is TMDIChildSaveIt.CurrentFile                }
{                                                                              }
{ 4. Do the same thing as #3 in the OnFileSaved Event.                         }
{------------------------------------------------------------------------------}
end;

procedure TMDIChild.MDIChildSaveIt1FileSaved(Sender: TObject);
begin
{------------------------------------------------------------------------------}
{ How to implement a MRU (Most Recently Used) File List.                       }
{------------------------------------------------------------------------------}
{ 1. First download a good MRU File List component. Brad Stower's free         }
{    TMRUFileList Component is highly recommended. Get it at:                  }
{    http://www.pobox.com/~bstowers/delphi/                                    }
{                                                                              }
{ 2. In that component's events somewhere put code that calls                  }
{    TMDISaveIt.LoadFromFile to load a file when the user chooses it from      }
{    an MRU List.                                                              }
{                                                                              }
{ 3. Put a Call the MRU Component's method that will add the item to the list. }
{    The name of the file to add is TMDIChildSaveIt.CurrentFile                }
{                                                                              }
{ 4. Do the same thing as #3 in the OnFileLoaded Event.                        }
{------------------------------------------------------------------------------}
end;

end.
